Skip to content
Start here

List emails sent to an abuse report submitter

GET/accounts/{account_id}/abuse-reports/submitted/{report_id}/emails

List successful emails sent to the submitter of a report submitted by the account. Does not include emails sent to customers or hosts.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
Path ParametersExpand Collapse
account_id: string
maxLength32
report_id: string
Query ParametersExpand Collapse
page: optional number

Page number to retrieve (default 1).

per_page: optional number

Number of emails per page (default 20, max 100).

ReturnsExpand Collapse
result: object { emails }
emails: array of object { id, body, recipient, 2 more }
id: string

Unique identifier of the email.

body: string

Body content of the email.

recipient: string

Email address of the recipient.

sent_at: string

When the email was sent. Time in RFC 3339 format (https://www.rfc-editor.org/rfc/rfc3339.html)

subject: string

Subject line of the email.

success: boolean
errors: optional array of object { message, code }
message: string
code: optional string or number
One of the following:
string
number
messages: optional array of object { message }
message: string
result_info: optional object { count, page, per_page, 2 more }
count: number
page: number
per_page: number
total_count: number
total_pages: number

List emails sent to an abuse report submitter

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/abuse-reports/submitted/$REPORT_ID/emails \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "emails": [
      {
        "id": "id",
        "body": "body",
        "recipient": "recipient",
        "sent_at": "2009-11-10T23:00:00Z",
        "subject": "subject"
      }
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "result": {
    "emails": [
      {
        "id": "id",
        "body": "body",
        "recipient": "recipient",
        "sent_at": "2009-11-10T23:00:00Z",
        "subject": "subject"
      }
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}